Bug 534990 - (RHQ-1732) move subsystems to custom tab infra instead of richfaces tabPanel
move subsystems to custom tab infra instead of richfaces tabPanel
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
: Task
Depends On:
  Show dependency treegraph
Reported: 2009-03-05 18:53 EST by Joseph Marques
Modified: 2009-03-09 15:13 EDT (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-03-05 18:53:00 EST
now that mazz has changed our tab infrastructure to mimic the L&F you get from the richfaces tabPanel, this is a win.  by migrating this:

* we naturally gain the ability to have subtabs
* can delete SubsystemViewUIBean, which provides JSF tricks to workaround inability to remain sticky on a tab
* remove superfluous database hits and reduce page load time, because right now each time a tab is selected it rerenders (as part of the RESTORE_VIEW JSF phase) the current tab's datatable (which is a hit to the db) and then does another query for the datatable of the tab we're going to

these issues are naturally solved with our custom tab infra because everything is HTTP GET based, which each tab (or subtab) is backed by an independent URL
Comment 1 Joseph Marques 2009-03-05 20:35:33 EST
rev3319 - move subsystem views to use custom tab infra; 
Comment 2 Red Hat Bugzilla 2009-11-10 15:45:31 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1732

Note You need to log in before you can comment on or make changes to this bug.